Name: nano
%define major 2.9
%define fix 0
Version: %{major}.%{fix}
Release: 0
License: GPLv3
Summary: Small and friendly text editor
Url: https://www.nano-editor.org

BuildRequires: ncurses-devel
BuildRequires: file-devel

Source0: https://www.nano-editor.org/dist/v%{major}/nano-%{version}.tar.xz

%description
GNU nano is a small and friendly text editor. Besides basic text editing, nano offers many extra features, such as an interactive search-and-replace, undo/redo, syntax coloring, smooth scrolling, auto-indentation, go-to-line-and-column-number, feature toggles, file locking, backup files, and internationalization support.

The original goal for nano was to be a complete bug-for-bug emulation of Pico.

%prep
%setup -q

%build

%configure \
  CPPFLAGS="-I%{_includedir} -I%{_includedir}/ncurses" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --host=powerpc-ibm-aix6 \
  --build=powerpc-ibm-aix6 \
  --enable-threads=posix \
  --disable-nls
  
#   --enable-utf8 \
%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/nano

%{_infodir}/nano.info

%{_mandir}/man1/rnano.1
%{_mandir}/man1/nano.1

%{_mandir}/man5/nanorc.5

%{_datadir}/nano
# %{_datadir}/nano/java.nanorc
# %{_datadir}/nano/php.nanorc
# %{_datadir}/nano/nanorc.nanorc
# %{_datadir}/nano/lua.nanorc
# %{_datadir}/nano/go.nanorc
# %{_datadir}/nano/sh.nanorc
# %{_datadir}/nano/mutt.nanorc
# %{_datadir}/nano/mgp.nanorc
# %{_datadir}/nano/makefile.nanorc
# %{_datadir}/nano/asm.nanorc
# %{_datadir}/nano/pov.nanorc
# %{_datadir}/nano/ruby.nanorc
# %{_datadir}/nano/css.nanorc
# %{_datadir}/nano/guile.nanorc
# %{_datadir}/nano/tex.nanorc
# %{_datadir}/nano/postgresql.nanorc
# %{_datadir}/nano/javascript.nanorc
# %{_datadir}/nano/elisp.nanorc
# %{_datadir}/nano/python.nanorc
# %{_datadir}/nano/man.nanorc
# %{_datadir}/nano/groff.nanorc
# %{_datadir}/nano/json.nanorc
# %{_datadir}/nano/cmake.nanorc
# %{_datadir}/nano/spec.nanorc
# %{_datadir}/nano/patch.nanorc
# %{_datadir}/nano/nanohelp.nanorc
# %{_datadir}/nano/fortran.nanorc
# %{_datadir}/nano/tcl.nanorc
# %{_datadir}/nano/perl.nanorc
# %{_datadir}/nano/awk.nanorc
# %{_datadir}/nano/rust.nanorc
# %{_datadir}/nano/c.nanorc
# %{_datadir}/nano/ocaml.nanorc
# %{_datadir}/nano/default.nanorc
# %{_datadir}/nano/texinfo.nanorc
# %{_datadir}/nano/autoconf.nanorc
# %{_datadir}/nano/po.nanorc
# %{_datadir}/nano/objc.nanorc
# %{_datadir}/nano/xml.nanorc
# %{_datadir}/nano/nftables.nanorc
# %{_datadir}/nano/debian.nanorc
# %{_datadir}/nano/changelog.nanorc
# %{_datadir}/nano/html.nanorc
# %{_datadir}/nano/gentoo.nanorc

%{_docdir}/nano

# %{_docdir}/nano/rnano.1.html
# %{_docdir}/nano/nanorc.5.html
# %{_docdir}/nano/nano.1.html
# %{_docdir}/nano/faq.html
# %{_docdir}/nano/nano.html



%changelog
